## transmission 1.34-2maemo1

=== debian/changelog ===
transmission (1.34-2maemo1) unstable; urgency=low

  * Made window size & menu modifications from pipeline's patch.
  * Moved sort options into own menu.
  * Moved some options out of Torrent menu into File menu.
  * Removed existing icons and replaced ones that better integrate with maemo.
  * Added fullscreen option thanks to derf's code which I edited heavily for transmission.
  * Changed icon sizes to integrate better with maemo.
  * Edited transmission.desktop.in & made it go to applications/hildon.
  * Changed packaging to only make transmission & transmission-cli packages.
  * Added Maemo Icon & Display name in package manager.
  * Added postinst to let user select menu location for transmission.desktop
    (not if upgrading) & update gtk-icon-cache.
  * Reduced number of locales that maemo does not have support for.
  * Completed Build-Depends.

 -- Faheem Pervez <trippin1@gmail.com>  Mon, 20 Oct 2008 18:20:00 +0100

transmission (1.34-1) unstable; urgency=low

  * New upstream release (closes: #499851)
  * debian/{rules,control,patches}: removed patch added on last upload (since
    I already messed up uploading a new version to unstable, might as well
    keep it up-to-date)

 -- Leo Costela <costela@debian.org>  Sun, 12 Oct 2008 18:01:20 +0200

transmission (1.33-2) unstable; urgency=low

  * debian/rules: add quilt patch support
  * debian/control: add build-dep on quilt
  * debian/patches/rev_6749.diff: Backport fix for memory leak 
    (closes: #499828)

 -- Leo Costela <costela@debian.org>  Mon, 22 Sep 2008 22:47:32 +0200

transmission (1.33-1) unstable; urgency=low

  * New upstream release (Closes: #496325)

 -- Leo Costela <costela@debian.org>  Mon, 25 Aug 2008 00:45:34 +0200

transmission (1.32-1) unstable; urgency=low

  * New upstream release (Closes: #494438, #487355)
  * debian/rules, debian/transmissioncli.{install,manpages}: 
    - transmission-proxy is no longer shipped
    - add --as-needed to LDFLAGS
  * debian/transmission-common.install: add web directory
    (including upstream jquery since it includes plugins not available
    in libjs-jquery)
  * debian/copyright: updates from upstream and corrections (many GPL 
    files had Licence:MIT fields) (thanks Kevin Bortis for the heads-up)

 -- Leo Costela <costela@debian.org>  Fri, 15 Aug 2008 19:33:02 +0200

transmission (1.22-1) unstable; urgency=low

  * New upstream release (Closes: #486274)
  * debian/control: policy 3.8.0 (no changes)

 -- Leo Costela <costela@debian.org>  Fri, 20 Jun 2008 11:48:30 +0200

transmission (1.21-1) unstable; urgency=low

  * New upstream release (Closes: #482539)
  * Leo Costela is now the official maintainer
  * Mentioning the upstream bts in README.debian (Closes: #466761)

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Tue, 03 Jun 2008 19:09:22 +0200

transmission (1.20-1) unstable; urgency=low

  * new upstream release (closes: #481065):
    - add build-dep on libcurl-dev
  * debian/transmission-gtk.menu: better describe menu item (closes: #478212)
  * debian/control, debian/compat: bump debhelper v7
  * debian/rules:
    - some small changes and cleanups for debhelper v7, preparing for a 
      possible migration to dh
    - add dh_icon (from Ubuntu, thanks Fávio Martins)
  * debian/transmission-gtk.install: added usr/share/icons (see above)

 -- Leo Costela <costela@debian.org>  Fri, 16 May 2008 18:05:32 +0200

transmission (1.11-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Sun, 06 Apr 2008 15:00:37 +0200

transmission (1.10-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Tue, 01 Apr 2008 23:11:06 +0200

transmission (1.06-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Mon, 10 Mar 2008 23:58:46 +0100

transmission (1.05-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Wed, 13 Feb 2008 16:44:52 +0100

transmission (1.04-1) unstable; urgency=low

  * new upstream release

 -- Leo Costela <costela@debian.org>  Tue, 05 Feb 2008 01:22:33 +0100

transmission (1.02-1) unstable; urgency=low

  * New upstream release (Closes: #461237, #461778, #460319).

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Wed, 23 Jan 2008 13:08:22 +0100

transmission (1.00-1) unstable; urgency=low

  * New upstream release
    (Closes: #458942, #457825, #458202, #452440, #456038, #454802, #458075).
  * updated maintainer email
  * debian/patches: removed unneeded patches (dealt with DSFG dirs, see below)
  * debian/control: 
      - updated upstream homepage
      - add DM-upload:yes 
  * debian/rules: 
      - update get-orig-source to not remove dirs, DFSG status resolved 
        upstream
      - don't rename transmissioncli manpage, renamed upstream

 -- Philipp Benner <pbenner@uni-osnabrueck.de>  Sat, 05 Jan 2008 09:16:52 +0100

transmission (0.96.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #456228).
  * Added transmission-gtk.mime (Closes: #454801).
  * Fixed typo (Closes: #456036).

 -- Philipp Benner <mail@philipp-benner.de>  Sat, 15 Dec 2007 20:42:31 +0100

transmission (0.95.dfsg-2) unstable; urgency=low

  * add transmission-common package, to avoid duplication on files
  * install NEWS as changelog
  * rename README.Debian-source to README.debian (for consistency), document 
    current open bug about licence issues
  * registering transmission to handle torrent files (Closes: #454801)
    (Philipp Benner)
  * improved portability (Philipp Benner)

 -- Leo Costela <costela@debian.org>  Thu, 06 Dec 2007 00:46:50 +0100

transmission (0.95.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #454127).
  * debian/copyright: convert to UTF-8 (Leo "costela" Antunes)

 -- Philipp Benner <mail@philipp-benner.de>  Wed, 05 Dec 2007 14:37:05 +0100

transmission (0.93.dfsg-2) unstable; urgency=low

  * Added missing build-dependency (python).

