=== debian/control ===
Source: transmission
Section: user/other
Priority: optional
XSBC-Original-Maintainer: Pipeline, Philipp Benner <mail@philipp-benner.de>
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 5), libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.8), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13)
Standards-Version: 3.7.2

Package: transmission
Architecture: any
Depends: ${shlibs:Depends}
Provides: transmission-diablo
Replaces: transmission-diablo
Description: free, lightweight BitTorrent client
 Transmission is a GTK-based BitTorrent client. It features a
 very simple, intuitive interface on top on an efficient,
 cross-platform back-end.
XB-Maemo-Display-Name: Transmission BitTorrent Client
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx
 jwv8YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlz
 AAAN1gAADdYBkG95nAAAABh0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYzLjIyt5EXfQAAByZJREFU
 WEftlllQlFcWx1tZYkHFp5mXmcwUVUOsykMqqZoaIm5FuY0sgiCbbJIOkLCIbE2z09BNs3SzCbRs
 CggqIkrYKWaMEgJhFxRsFoOAAmE1WlMTMgH+c+7HoHQAIVXmbbrqV/f21+fe87/nnu+c5vH+/9kk
 Auk83h8VPN4nhGkaj2e1FrnHF6LLedkvCgov/ZtxOT/npdzbU5q2c6eK3UVam8nj6dPaP/+qQJPT
 /bc+/LDhWxub0TYbm4U2Kyus0krzvCABHil7oex/TX6oEC1r7Dh7Wvutre1Y2ccfN9Kex7YtghQX
 Txw5grHduzGqrq7CiIYGrp91wPz8LGZmpjjYvOQzZwzv2rXOfuzddzF5+DAy1dVvUkQ0tyWCBNzo
 2LMHzeS8icdT4ZsdO3DZyR5T05MYn3jKweb5fCc0bmDfpKaGDl1dKNTUSlN5vHe2JSCDxzuSo6nZ
 ckVLa/qqltbiNS2tpVdoay+l852Wnz0bw8jIdxxsrnDlL1/dvfu13cqaxUItrdlcTc122tN0W85X
 jSgJ/0KLDCgaljR3pHEFNbWzcqFf6xNyPDik5GDz5FBhe5q2Nv+V3Yq9Fe1xmNbv+VXO32QsEonU
 ZIlxNweH+tHb18PBRCSlyEoTEhJ2vTVHm220KqBP+RBd3e0cfcoHb0+Alc1pHvF7mzNWJ6xtLU/9
 EnpuIZFGNXX3dKKlrYnjPs2lceJme8cz1husMaM1f6U9d24rOmT4OzsHW4Wv//mXgcGC/wg3QCKN
 XmrvbMHXTXc52FwaL14WhqyxZ3NCIPT/yc3dZYCEeW5LhK2dtYUg0H8hXBQKQZA/vH29cM7HUwWR
 OALNLV/jn3frOJpoHi0RwdtH1dbHzxvBVKAksdH43MP1MYnQ2zIKjs72XiHhQYvMudd5D8TLYhAn
 f01sghixCTH4prkB9XdqOBqb7yE2XsKigHi5dAVaJ5aKmGMEhwkRFBq4SFdht6UAFzd+amR0+KJv
 wHlkXVKgqfWeCjX1FUhOla8TkJgsQ1Vd+Tp7WVIcF0mK2s9Ozg4RWwpw9/y8hu4YfgIfFN8sQmdP
 iwrl1bdps0j846s6lFWWctTfqUUkPWO//dI+Ny+TExATK16iwxVuKYDucVSWGA9KQFTU3EZ3bzu6
 H7bjPkcbiooL4eLuhoKiAqRmpHDkF+XD3csD10qK0PWglUQwVoTfKC0iAQGQJyfA45y78o0CKEt3
 UPYvpFxIRmhECL5qqEffQA/6+lfo7e9GwdV82Dk5QJaciKCwELrbYMiSZHBwdkLR9Svo6etcobeD
 o4KiEhwaiAvpqTh33utfWwl4LyQseCEjMx3RlEAd91sxNNz/P6jsDivBfjtlZUlXFAhXDw8O30AB
 zK2tkX05C8ohatFDD6EcXKGx+S4io8KRma1AYJBggQ75h01F0I/60jjJj1k5FxETJ0b/0COMPh3G
 CAc1HkIaFwMTMzMcNzkJY3MLGJ+ywHFjmtOzpAtJ+G5kkBjA4ycrdD/shDgmCjmXsmiM/pF87N9U
 ANUAfsbFdM44XhaLialnmJwax8wc9fzns5ibn6FTBMDFlQ/Pc+4quLrxQW8PZzs7P43vpycwNv6E
 E0+HQm5eDtIVaSAfHpsKoFIqLaCEYuFSZGZg7vkMZmizoceDKK8oQ1n5LfgLfOHgaAfnT51UcHC0
 B1VNlH15CxWVX2KAGhQTPzk9DkVWOpGBK5S4VGVTNhTAEtCZ71R0q+wmJUwKSmn84eXzVygHHqHw
 agHsKQENT5rguJGhCuaWp+Hp7UkCSvF4eBDzP8xyzFHkqmoqweoEO8QZe5sS8qW+TgQ91Pbw+uJ2
 OalPTJHjbsMdFQFMzOTUBKprKyEMEeLQkaP42/4D2HvoEKztz1A3lKOto4XCP7NuXUdXO5c7TAjV
 mWrWbzYS8CfK1nvMKC4hFt0P7q/baDUiY89GcSkvF3w3FyQkJaCh8R6ev5jf1P7p+CjC6LWurath
 PaObSvIH6wRQo/iITqGsqavm3tnquioK4dymm7JodHV34Mno8BudM9Fd1K4lUjHq6mtxIS3le8q1
 QyoCdHR0dpqfNrelxHtRWV3BJVsUlVZ6b7nEYrDKyL6zt4BD6A9qtaDOyY0BgX4cLEnX4hfgg9Dw
 EBSXXKcrqEJ2bvbP5tYWzrq6uq//H+jp6WkYmRr7JybLFy5mKcj4Ghcudh1V1QQbaXH1WmrpO4M9
 o7GmtloViiT3jEa2142SYrD6kpyauGxy6mTw+wcParyKgr6+vuYJE8PgCFHYT9SKWev8TQiNCGZV
 cdnIxEikY2CgKuCo4d+9/QS+85JY8Wr/fusioiSRCAkLYgIiVQTs27dP45ODB46ZW5rfZn8cKFOX
 fgsiosKWzvIdh44aHrdTuQKWhB/t3atzwMDghImpscjU3FRqZmH2dqE9TcxMJMeMTjjo7dPXWU3C
 /wLYBxIUkm2GxQAAAABJRU5ErkJggg==
