## transmission 1.34-2maemo2

=== debian/changelog ===
transmission (1.34-2maemo2) unstable; urgency=low

  * Added launching via DBUS.
  * Window hildonised a bit. Menu still pending.
  * Linked with hildon-1 & libosso. (Build-Depends updated)
  * Mimetype added.
  * Close button removed from details dialog box.
  * Toolbar replaced with hildon one.

 -- Faheem Pervez <trippin1@gmail.com>  Mon, 10 Nov 2008 17:24:05 +0000
