=== debian/rules ===
--- 
+++ 
@@ -11,22 +11,22 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 
-CFLAGS = -Wall -g
+CFLAGS = -Wall
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -O2
+	CFLAGS += -Os
 endif
 
 # Use soft-float and thumb mode if it enabled.
-ifneq (,$(findstring disabled-thumb,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(findstring *disabled*-thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
 endif
 
 # Use hardware floating point
 ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -fomit-frame-pointer -ffast-math
 endif
 
 # parallel
@@ -97,6 +97,16 @@
 #	install -m644 debian/transmission-gtk.xpm \
 #		$(CURDIR)/debian/transmission/usr/share/pixmaps/transmission.xpm
 
+	# Install dbus service file - qwerty12
+	install -d $(CURDIR)/debian/transmission/usr/share/dbus-1/services
+	install -m644 debian/transmission.service \
+		$(CURDIR)/debian/transmission/usr/share/dbus-1/services/transmission.service
+
+	# Install mime file - qwerty12
+	install -d $(CURDIR)/debian/transmission/usr/share/mime/packages/
+	install -m644 debian/transmission-mime.xml \
+		$(CURDIR)/debian/transmission/usr/share/mime/packages/transmission-mime.xml
+
 UPSTREAM_VERSION=$(shell dpkg-parsechangelog | perl -ne '{ print $$1."\n" if /Version: (.*)-.*/; }')
 
 transmission-$(UPSTREAM_VERSION).tar.bz2:
