## transmission 1.34-2maemo4

=== debian/changelog ===
transmission (1:1.34-2maemo4) unstable; urgency=low

  * Fixing horrible version string.
  * Cleaning up amount of patches.
  * Removed watch file.
  * Changed DBUS Service name.
  * Hardcoded upstream version string to 1.34
  * Added fullscreen functionality on message log window.
  * Fixed stop_rm_version patch by adding back in lines that did not need to be removed.

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 30 Jan 2009 18:11:59 +0000

transmission (1.40-2maemo3-1.34dgfix2) unstable; urgency=low

  * Using O2 instead of OS
  * Maemo browser launched when handling links
  * Switched to quilt to apply patches (thanks mikkov!)
  * O2 added to LDFLAGS
  * Message log window hildonized
  * Removed code to disable hildonization to [slightly] speedup startup time
  * Made transmission only search in /usr/share/transmission/web for the web interface resources to [slightly] speedup startup time. TRANSMISSION_WEB_HOME should be used instead of CLUTCH_HOME if you are setting this variable.
  * Applied Andrew Olmsted's contributed patch - Fullscreen when pressing the fullscreen button (Thanks fiferboy!)
  * Stopped version.h from getting deleted so build number correctly displays in About window

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 28 Nov 2008 13:29:05 +0000

transmission (1.40-2maemo3-1.34dgfix1) unstable; urgency=low

  * Scrollbars added
  * Menu hildonised

 -- Faheem Pervez <trippin1@gmail.com>  Mon, 10 Nov 2008 17:24:05 +0000
