=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/quilt/quilt.make
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -16,12 +17,7 @@
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
-	CFLAGS += -Os
-endif
-
-# Use soft-float and thumb mode if it enabled.
-ifneq (,$(findstring *disabled*-thumb,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mthumb
+	CFLAGS += -O2
 endif
 
 # Use hardware floating point
@@ -34,7 +30,7 @@
  TRANSMISSION_MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-configure: configure-stamp
+configure: patch configure-stamp
 
 configure-stamp:
 	dh_testdir
@@ -43,7 +39,7 @@
 		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed"
+		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed,-O2"
 
 	touch $@
 
@@ -57,7 +53,7 @@
 
 	touch $@
 
-clean: 
+clean: unpatch
 	dh_testdir
 	dh_testroot
 
@@ -73,7 +69,6 @@
 	$(RM) cli/.depend
 	$(RM) gtk/.depend
 	$(RM) libtransmission/.depend
-	$(RM) libtransmission/version.h
 # </bugfix>
 
 	dh_clean 
@@ -107,7 +102,7 @@
 	install -m644 debian/transmission-mime.xml \
 		$(CURDIR)/debian/transmission/usr/share/mime/packages/transmission-mime.xml
 
-UPSTREAM_VERSION=$(shell dpkg-parsechangelog | perl -ne '{ print $$1."\n" if /Version: (.*)-.*/; }')
+UPSTREAM_VERSION=1.34
 
 transmission-$(UPSTREAM_VERSION).tar.bz2:
 	[ ! -f transmission-$(UPSTREAM_VERSION).tar.gz ] \
