## transmission 1.34-2maemo5

=== debian/changelog ===
transmission (1:1.34-2maemo5) unstable; urgency=low

  * Add icons to torrent files.
  * Add tap and hold support to torrent entries
  * Add "please wait" to downloading blocklist message (it takes ages but it
    does download)
  * Replace GtkFileChooser when adding torrent with HildonFileChooser
  * hildonize_mainwindow_menu_toolbar_osso_init_deinit: revert
    update_tracker_button change
  * browser: modify gtr_open_file function directly to use maemo's browser
    instead of patching manually each file that uses gtr_open_file
  * Stop Transmission's title from being set twice
  * Use Maemo icons from theme instead of stock GTK ones
  * Stop icons from being displayed in menu
  * Set correct hildon_input_method_mode for password and numerical widgets
  * Fix options dialog
  * Make options dialog setting back to the default of show
  * Make "Open Folder" run the default file manager 

 -- Faheem Pervez <trippin1@gmail.com>  Sat,  7 Mar 2009 10:24:58 +0000
