=== debian/rules ===
--- 
+++ 
@@ -102,6 +102,14 @@
 	install -m644 debian/transmission-mime.xml \
 		$(CURDIR)/debian/transmission/usr/share/mime/packages/transmission-mime.xml
 
+	# Install torrent icons - qwerty12
+	install -D -m644 $(CURDIR)/gtk/icons/hicolor_26x26_hildon_transmission.png \
+		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/26x26/mimetypes/application-x-bittorrent.png
+	install -D -m644 $(CURDIR)/gtk/icons/hicolor_40x40_hildon_transmission.png \
+		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/48x48/mimetypes/application-x-bittorrent.png
+	install -D -m644 $(CURDIR)/gtk/icons/hicolor_scalable_hildon_transmission.png \
+		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/64x64/mimetypes/application-x-bittorrent.png
+
 UPSTREAM_VERSION=1.34
 
 transmission-$(UPSTREAM_VERSION).tar.bz2:
