## transmission 1.40-2maemo3-1.34dgfix2

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XSBC-Original-Maintainer: Pipeline, Philipp Benner <mail@philipp-benner.de>
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13)
+Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libhildonfm2-dev,libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13), intltool (>= 0.23), quilt
 Standards-Version: 3.7.2
 
 Package: transmission
