=== debian/rules ===
--- 
+++ 
@@ -102,15 +102,7 @@
 	install -m644 debian/transmission-mime.xml \
 		$(CURDIR)/debian/transmission/usr/share/mime/packages/transmission-mime.xml
 
-	# Install torrent icons - qwerty12
-	install -D -m644 $(CURDIR)/gtk/icons/hicolor_26x26_hildon_transmission.png \
-		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/26x26/mimetypes/application-x-bittorrent.png
-	install -D -m644 $(CURDIR)/gtk/icons/hicolor_40x40_hildon_transmission.png \
-		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/48x48/mimetypes/application-x-bittorrent.png
-	install -D -m644 $(CURDIR)/gtk/icons/hicolor_scalable_hildon_transmission.png \
-		$(CURDIR)/debian/transmission/usr/share/icons/hicolor/64x64/mimetypes/application-x-bittorrent.png
-
-UPSTREAM_VERSION=1.34
+UPSTREAM_VERSION=$(shell dpkg-parsechangelog | perl -ne '{ print $$1."\n" if /Version: (.*)-.*/; }')
 
 transmission-$(UPSTREAM_VERSION).tar.bz2:
 	[ ! -f transmission-$(UPSTREAM_VERSION).tar.gz ] \
