## transmission 1.40-maemo3

=== debian/changelog ===
transmission (1.40-maemo3) unstable; urgency=low

  * New upstream release.
  * Added scrollbars on torrent details & preferences window from Daniel Martin Yerga's (Thanks!) gFTP code to do the same.
  * Changed section to user/network from user/other to be in line with planned package categories.
  * Changed from using Os to 02
  * Readded tray icon toggle from menu
  * New way of checking to see if this is an upgrade to avoid bringing up menu selection dialog again (Thanks Danny Milosavljevic!)
  * Display options dialog and Start when added disabled by default as a workaround to non-working options dialog (sorry, will fix when I get the time)
  * Changed hardcoded libcurl required number from a version that is newer than the one on the tablets to the version on the tablets. web.c taken from svn revision 6893 with minor modifications to reflect this
  * Non-working "Open torrent folder" option removed.

 -- Faheem Pervez <trippin1@gmail.com>  Tue, 25 Nov 2008 12:44:50 +0000
