=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XSBC-Original-Maintainer: Pipeline, Philipp Benner <mail@philipp-benner.de>
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libhildonfm2-dev,libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13), intltool (>= 0.23), quilt
+Build-Depends: debhelper (>= 5), pkg-config, libosso-dev, libhildon1-dev, libc6-dev (>= 2.5.0), autotools-dev, libgtk2.0-dev (>= 2.6.4), libssl-dev (>= 0.9.7), libx11-dev (>= 1.1.1), libcurl3-openssl-dev (>= 7.15.5), libnotify-dev (>= 0.4.4), libglib2.0-dev (>= 2.12.12), libdbus-glib-1-dev (>= 0.74), chrpath (>= 0.13), intltool (>= 0.23), zlib1g-dev 
 Standards-Version: 3.7.2
 
 Package: transmission
@@ -15,9 +15,10 @@
  Transmission is a GTK-based BitTorrent client. It features a
  very simple, intuitive interface on top on an efficient,
  cross-platform back-end.
+XB-Maemo-Upgrade-Description: New upstream release. Major UI Fixes & Improvements (still some way to go yet). Better method to check if maemo-select-menu-location should be run.
 XB-Maemo-Display-Name: Transmission
-XB-Maemo-Upgrade-Description: Downgrade from 1.40 to 1.34 to fix uPNP bug. Menu hildonised.
-XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx
+XB-Maemo-Icon-26: 
+ iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx
  jwv8YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlz
  AAAN1gAADdYBkG95nAAAABh0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYzLjIyt5EXfQAAByZJREFU
  WEftlllQlFcWx1tZYkHFp5mXmcwUVUOsykMqqZoaIm5FuY0sgiCbbJIOkLCIbE2z09BNs3SzCbRs
