## transmission 1.40-maemo4

=== debian/changelog ===
transmission (1.40-maemo4) unstable; urgency=low

  * Hildonised menu.

 -- Faheem Pervez <trippin1@gmail.com>  Wed, 26 Nov 2008 12:16:58 +0000
