=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
 Package: transmission
 Architecture: any
 Depends: ${shlibs:Depends}
-Provides: transmission-diablo
-Replaces: transmission-diablo
+Provides: transmission-diablo, transmission-1.34
+Replaces: transmission-diablo, transmission-1.34
+Conflicts: transmission-1.34
 Description: free, lightweight BitTorrent client
  Transmission is a GTK-based BitTorrent client. It features a
  very simple, intuitive interface on top on an efficient,
  cross-platform back-end.
-XB-Maemo-Upgrade-Description: New upstream release. Major UI Fixes & Improvements (still some way to go yet). Better method to check if maemo-select-menu-location should be run.
+XB-Maemo-Upgrade-Description: Menu Hildonized.
 XB-Maemo-Display-Name: Transmission
 XB-Maemo-Icon-26: 
  iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAAXNSR0IArs4c6QAAAARnQU1BAACx
