=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/quilt/quilt.make
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -20,6 +19,11 @@
 	CFLAGS += -O2
 endif
 
+# Use soft-float and thumb mode if it enabled.
+ifneq (,$(findstring *disabled*-thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
 # Use hardware floating point
 ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s -fomit-frame-pointer -ffast-math
@@ -30,7 +34,7 @@
  TRANSMISSION_MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-configure: patch configure-stamp
+configure: configure-stamp
 
 configure-stamp:
 	dh_testdir
@@ -39,7 +43,7 @@
 		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
-		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed,-O2"
+		CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed"
 
 	touch $@
 
@@ -53,7 +57,7 @@
 
 	touch $@
 
-clean: unpatch
+clean: 
 	dh_testdir
 	dh_testroot
 
@@ -69,6 +73,7 @@
 	$(RM) cli/.depend
 	$(RM) gtk/.depend
 	$(RM) libtransmission/.depend
+	$(RM) libtransmission/version.h
 # </bugfix>
 
 	dh_clean
