## transmission 1.92

=== debian/changelog ===
transmission (1.92-0ubuntu2) lucid; urgency=low

  * Default to the fast preallocation mode. (LP: #538580) 

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Wed, 14 Apr 2010 01:14:17 +0200

transmission (1.92-0ubuntu1) lucid; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (LP: #538034), rebased on debian testing.
    Remaining changes:
    - debian/control:
      + Added replaces & provides clutch (now included as part of transmission).
        Can be removed in lucid+1
      + Added liblaunchpad-integration-dev and lsb-release to Build-Depends
    - debian/rules:
      + create a po template during package build.
    - debian/patches/01_lpi.patch:
      + integrate transmission with launchpad
    - debian/patches/20_add_x-ubuntu-gettext-domain.diff:
      + add x-ubuntu-gettext-domain to .desktop file.
    - debian/transmission-daemon.default:
      - remove --auth from OPTIONS
    - debian/control, debian/rules:
      + build transmission gtk+ client with both gconf and libcanberra support.
    - debian/patches/dont_build_libevent.patch:
      + disable libevent in configure.ac and Makefile.am because we use autotools
        to regenerate build files.
    - lucid/debian/patches/updateminiupnpcstrings_double_escape_slash.patch:
      + Deleted as the bug is fixed upstream
  * Fixes bugs:
    - Fix directory selection error in GTK+ 2.19 (LP: #518692)
    - Transmission "Set Location" - dialog doesn't disappear (LP: #529037)
    - The "Torrent Options" dialog's Torrent Priority row gets too much
      vertical stretch (LP: #527299)
    - "Open Folder" behavior can be confusing for single-file torrents
      (LP: #505861)
  * Refreshed 99_autoreconf.patch

  [ Chris Coulson ]
  * debian/patches/disable_web_ui.patch:
    - Disable the web UI by default again (LP: #542194)

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Wed, 03 Mar 2010 02:55:26 +0100

transmission (1.91-1) unstable; urgency=low
  
  * new upstream release
  * debian/transmission-daemon.postrm: don't remove statoverride on 
    purge (closes: #571934)

 -- Leo Costela <costela@debian.org>  Sun, 28 Feb 2010 13:26:07 +0100

transmission (1.91-0ubuntu2) lucid; urgency=low

  * debian/transmission-daemon.postrm:
    - remove group only after stateoverride entries has been removed (LP: #529318)
    - split remove and purge actions to avoid running dpkg-statoverride twice.

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Sun, 28 Feb 2010 11:21:32 +0100

transmission (1.91-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #525622)
  * Fixes bugs:
    - Speed limits not honored when on at start up (LP: #526239)
  * Refreshed 99_autoreconf.patch

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Tue, 23 Feb 2010 19:57:35 +0100

transmission (1.90-1) unstable; urgency=low
  
  * new upstream release
  * debian/transmission-daemon.postrm: remove statoverride after deleting 
    group (closes: #569238)
  * debian/{control,rules}: drop libcanberra-dev and libgconf-dev build-deps
    and ensure we build without them. Please check the bug log for a more
    complete rationalle behind the decision. (closes: #570416)

 -- Leo Costela <costela@debian.org>  Sun, 21 Feb 2010 21:38:22 +0100

transmission (1.90-0ubuntu1) lucid; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (LP: #522726)
  * Fixes bugs:
    - Support Application Indicators (LP: #497882)
    - Better file preallocation with fallocate() (LP: #445592)
    - Speed limit of 0 is not honored (LP: #473652)
    - incorrectly sent information (LP: #521140)
  * Refreshed 99_autoreconf.patch 
  * debian/control:
    - Build-Depend on libappindicator-dev

  [ Chris Coulson ]
  * Add ${misc:Depends} in debian/control to make Lintian happy
  * Update Standards-Version to 3.8.4. No other changes necessary

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Tue, 16 Feb 2010 17:50:22 +0100

transmission (1.83-2) unstable; urgency=low
  
  * debian/control: bump build-dep on libevent-dev to >= 1.4 (closes: #568544)

 -- Leo Costela <costela@debian.org>  Sun, 07 Feb 2010 17:31:13 +0100

transmission (1.83-1) unstable; urgency=low
  
  * new upstream version
  * bump policy to 3.8.4 (no changes)

 -- Leo Costela <costela@debian.org>  Mon, 01 Feb 2010 14:50:35 +0100

transmission (1.83-0ubuntu1) lucid; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (LP: #512391)
  * Fixes bugs:
    - transmission consistently reports having downloading 115-130% of the
      required data with no corresponding corrupt download data numbers
      (LP: #499964)
  * debian/patches/99_autoreconf.patch:
    - Refreshed for the new changes

  [ Chris Coulson ]
  * debian/patches/01_lpi.patch:
    - Updated to use a pkg-config check at configure time, and not hard
      code the library name in transmission_LDADD
  * debian/patches/dont_build_libevent.patch:
    - Updated to patch configure.ac rather than configure. This stops
      it from breaking with an autoconf run (LP: #510776)

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Thu, 21 Jan 2010 18:23:05 +0000

transmission (1.82-2) unstable; urgency=low

  * debian/control
    - drop python build-dep, not needed for some time
    - bump intltool build-dep to >= 0.40 (closes: #566875)
    - add libcanberra-gtk and libgconf build-deps

 -- Leo Costela <costela@debian.org>  Tue, 26 Jan 2010 23:39:47 +0100

transmission (1.82-1) unstable; urgency=low

  * new upstream release
    - stop creating non-existent watch dir (closes: #554903)
    - daemon can now reload conf on SIGHUP (closes: #539936)
    - multiple tracker announce (closes: #509040)
  * debian/patches: drop fr.po.patch (merged upstream)

 -- Leo Costela <costela@debian.org>  Sat, 23 Jan 2010 18:02:27 +0100

transmission (1.80~b5-0ubuntu1) lucid; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release (LP: #496503)
  * Refreshed 99_autoreconf.patch
  * Removed 21_fix_inhibition.patch
